Subject: Re: linux-next: manual merge of the usb-gadget tree with the driver-core tree

From: Felipe Balbi <[email-masked]>
Date: Tue, 18 Nov 2014 10:40:07 -0600

On Tue, Nov 18, 2014 at 08:24:36AM -0800, Greg KH wrote:
> On Tue, Nov 18, 2014 at 09:25:31AM -0600, Felipe Balbi wrote:
> > Hi,
> > 
> > On Tue, Nov 18, 2014 at 06:12:22PM +1100, Stephen Rothwell wrote:
> > > Hi Felipe,
> > > 
> > > Today's linux-next merge of the usb-gadget tree got a conflict in
> > > drivers/usb/dwc2/gadget.c between commit 7c3e90537b74 ("usb: dwc2: drop
> > > owner assignment from platform_drivers") from the driver-core tree and
> > 
> > why is that commit in the driver-core tree ? It wasn't even acked by
> > Paul Z. It wasn't sent to linux-usb either.
> > 
> > Sure, it's minimal, but I'd expect a little cordiality in Ccing driver
> > maintainers ;-)
> 
> We fixed up many hundreds of drivers all at once, it was easier to take
> that change through my driver-core tree than try to coordinate in
> everyone's different trees and end up missing some usages.

sure, got that :-) still, no maintainer was Cced :-)

Well, the conflict would've been inevitable anyway.

-- 
balbi